Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs
Class RebaselineTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.nokia.ant.taskdefs.RebaselineTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class RebaselineTask

extends org.apache.tools.ant.Task

ANT wrapper task for the GSCM rebaseline.pl script.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RebaselineTask()`

Method Summary
`void` | `execute()`
`void` | `setbaseline(java.lang.String baseline)` Set four-part name of existing baseline (incompatible with 'projectName' and 'baselineName' attributes) to be used by rebaseline.pl script.
`void` | `setbaselineName(java.lang.String baselineName)` Set new baseline name to use in rebaseline.pl script.
`void` | `setcreateBaselineForRollingReleaseTag(java.lang.Boolean createBaselineForRollingReleaseTag)` Set whether to create additional integration baseline for rolling-release tag.
`void` | `setdatabase(java.lang.String database)` Set Synergy Database name to be used by rebaseline.pl script.
`void` | `setdisableTaskRebadging(java.lang.Boolean disableTaskRebadging)` Set whether to disable task rebadging (incompatible with 'rebadgeObjectVersions' attribute) in the rebaseline.pl script.
`void` | `setleaveFolderswritable(java.lang.Boolean leaveFolderswritable)` Set whether to leave the folders writable in the baseline project created by rebaseline.pl script.
`void` | `setpassword(java.lang.String password)` Set Synergy Password to be used by rebaseline.pl script.
`void` | `setprojectName(java.lang.String projectName)` Set Synergy Project Name to be used by rebaseline.pl script.
`void` | `setrebadgeObjectVersions(java.lang.Boolean rebadgeObjectVersions)` Set whether to rebadge object versions in the rebaseline.pl script.
`void` | `setrelease(java.lang.String release)` Set release tag (Two-part name) for the release project created by reconfigure.pl script.
`void` | `setreleaseBaseline(java.lang.Boolean releaseBaseline)` Set whether to release the baseline project created by rebaseline.pl script.
`void` | `setuseBranchReleaseMethodology(java.lang.Boolean useBranchReleaseMethodology)` Set whether to utilize branch release methodology in the rebaseline.pl script.
`void` | `setverbosity(java.lang.Integer verbosity)` Set verbosity level to be used by rebaseline.pl script.
`void` | `setversion(java.lang.String version)` Set version of new project created by rebaseline.pl script.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RebaselineTask

    public RebaselineTask()

Method Detail

### setdatabase

    public void setdatabase(java.lang.String database)

  Set Synergy Database name to be used by rebaseline.pl script.

  Parameters:
    `database` -

### setprojectName

    public void setprojectName(java.lang.String projectName)

  Set Synergy Project Name to be used by rebaseline.pl script.

  Parameters:
    `projectName` -

### setpassword

    public void setpassword(java.lang.String password)

  Set Synergy Password to be used by rebaseline.pl script.

  Parameters:
    `password` -

### setrelease

    public void setrelease(java.lang.String release)

  Set release tag (Two-part name) for the release project created by reconfigure.pl script.

  Parameters:
    `release` -

### setbaseline

    public void setbaseline(java.lang.String baseline)

  Set four-part name of existing baseline (incompatible with 'projectName' and 'baselineName' attributes) to be used by rebaseline.pl script.

  Parameters:
    `baseline` -

### setversion

    public void setversion(java.lang.String version)

  Set version of new project created by rebaseline.pl script.

  Parameters:
    `version` -

### setreleaseBaseline

    public void setreleaseBaseline(java.lang.Boolean releaseBaseline)

  Set whether to release the baseline project created by rebaseline.pl script.

  Parameters:
    `releaseBaseline` -

### setleaveFolderswritable

    public void setleaveFolderswritable(java.lang.Boolean leaveFolderswritable)

  Set whether to leave the folders writable in the baseline project created by rebaseline.pl script.

  Parameters:
    `leaveFolderswritable` -

### setdisableTaskRebadging

    public void setdisableTaskRebadging(java.lang.Boolean disableTaskRebadging)

  Set whether to disable task rebadging (incompatible with 'rebadgeObjectVersions' attribute) in the rebaseline.pl script.

  Parameters:
    `disableTaskRebadging` -

### setrebadgeObjectVersions

    public void setrebadgeObjectVersions(java.lang.Boolean rebadgeObjectVersions)

  Set whether to rebadge object versions in the rebaseline.pl script.

  Parameters:
    `password` - Synergy Password

### setbaselineName

    public void setbaselineName(java.lang.String baselineName)

  Set new baseline name to use in rebaseline.pl script.

  Parameters:
    `baselineName` -

### setuseBranchReleaseMethodology

    public void setuseBranchReleaseMethodology(java.lang.Boolean useBranchReleaseMethodology)

  Set whether to utilize branch release methodology in the rebaseline.pl script.

  Parameters:
    `useBranchReleaseMethodology` -

### setcreateBaselineForRollingReleaseTag

    public void setcreateBaselineForRollingReleaseTag(java.lang.Boolean createBaselineForRollingReleaseTag)

  Set whether to create additional integration baseline for rolling-release tag.

  Parameters:
    `createBaselineForRollingReleaseTag` -

### setverbosity

    public void setverbosity(java.lang.Integer verbosity)

  Set verbosity level to be used by rebaseline.pl script. Verbosity level ( 0 - quiet, 1 - verbose). Exception will be raised for any other value.

  Parameters:
    `verbosity` -

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD